> ## Documentation Index
> Fetch the complete documentation index at: https://developers.everhour.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get All Assignments

> List schedule assignments across the team. Supports filtering by date range, project, and member.



## OpenAPI

````yaml /openapi.json get /resource-planner/assignments
openapi: 3.1.1
info:
  title: Everhour API
  version: 1.0.0
  license:
    name: Proprietary
    identifier: LicenseRef-Proprietary
servers:
  - url: https://api.everhour.com
security:
  - ApiKeyAuth: []
tags:
  - name: Clients
  - name: Custom Fields
  - name: Expenses
  - name: Invoices
  - name: Projects
  - name: Reports
  - name: Schedule
  - name: Tasks
  - name: Time Off
  - name: Time Records
  - name: Timecards
  - name: Timers
  - name: Timesheets
  - name: Users
  - name: Webhooks
paths:
  /resource-planner/assignments:
    get:
      tags:
        - Schedule
      summary: Get All Assignments
      description: >-
        List schedule assignments across the team. Supports filtering by date
        range, project, and member.
      operationId: getAllAssignments
      parameters:
        - name: type
          in: query
          required: false
          description: Filter by Assignment Type
          schema:
            type: string
            enum:
              - time-off
              - assignment
            example: time-off
        - name: project
          in: query
          required: false
          description: Filter by Project ID
          schema:
            type: string
            example: ev:3456780034
        - name: task
          in: query
          required: false
          description: Filter by Task ID
          schema:
            type: string
            example: ev:1123000456
        - name: client
          in: query
          required: false
          description: Filter by Client ID
          schema:
            type: number
            example: 1408
        - name: from
          in: query
          required: false
          description: Get Assignments Starting From
          schema:
            type: string
            example: '2020-11-19'
        - name: to
          in: query
          required: false
          description: Get Assignments Ending At
          schema:
            type: string
            example: '2020-11-30'
        - name: allowRemovedUsers
          in: query
          required: false
          description: Include assignments of users removed from the team.
          schema:
            type: boolean
            example: false
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Assignment'
        '401':
          description: Unauthorized
components:
  schemas:
    Assignment:
      type: object
      properties:
        days:
          type: number
          description: Number of workdays
          example: 10
        endDate:
          type: string
          example: '2019-02-01'
        id:
          type: number
          example: 41827
        project:
          type: string
          example: as:981141080110246
        startDate:
          type: string
          example: '2019-01-21'
        time:
          type: number
          description: Scheduled time in seconds
          example: 252000
        type:
          type: string
          enum:
            - project
            - time-off
          example: project
        user:
          type: number
          example: 79786
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-Api-Key

````